Eclipse - ask for port update

weberjn

Member

Reaction score: 16
Messages: 53

The Eclipse port is from 2020-06, Eclipse have recently released 2021-12. As Eclipse release quarterly, our port is six versions behind.

How would I ask the port maintainer to update? can I vote for a port update?

I suppose, Eclipse is a rather complicated port, as Eclipse is based on the SWT native GUI toolkit.
But Eclipse is the basis for several development toolkit, Java, C++, Python and more.
 

chrbr

Aspiring Daemon

Reaction score: 416
Messages: 966

In https://www.freshports.org you can search for eclipse. This results in your link. The maintainer is listed at the top of the page. As far as I know make maintainer or so in the eclipse ports root directory should inform about the maintainer as well. Please just send him or her a mail and ask if it possible to upgrade. May be the process of updating is extreme time consuming or dependencies have to be upgraded in parallel. I guess you will receive a reply with the explanation of the status.
 

any_name_you_wish

Member

Reaction score: 8
Messages: 38

Is Java not "write once, run anywhere"`?

Can't you just download and use it?

Why do we need ports for such programs?
 

cmoerz

Active Member

Reaction score: 86
Messages: 175

The Porter's handbook is kind of strict on libraries - in principle, the port maintainer should attempt to build his port on the already existing libraries in other ports. In the case of Java, this is a pretty painful task - particularly since it's rather unusual for a port maintainer to be responsible for all ports in his dependency tree.

Just recently, I posted a patch for jmeter, which probably will never make it into production. The ports repository maintainers (the guys with the commit bit) are still pretty strict about not bundling jars - even if that means you're stuck with an old version in ports because you can't get a newer version to run.

In the case of jmeter, it's log4j's fault - the version in ports simply does not work with jmeter. I imagine, it's a very similar problem with eclipse.
 
OP
W

weberjn

Member

Reaction score: 16
Messages: 53

Is Java not "write once, run anywhere"`?

Can't you just download and use it?

Why do we need ports for such programs?
Eclipse have written their own GUI toolkit, which is a thin C++ layer above the native widgets of each platform (win32, gtk, ..)


Twenty years ago this brought a huge performance advantage over Java's Swing library which draws widgets in Java.
 

tOsYZYny

Well-Known Member

Reaction score: 35
Messages: 302

I have requested the same for intellij and posted the patch required to update Intellij CE to the latest. If you update the port yourself and create a patch, perhaps it will help move it along. For reference, the Intellij change I did was fairly trivial.
 

N Grundmann

New Member


Messages: 1

Hello, I saw this thread is a bit older - but hey, I also would like to run a newer eclipse framework :) I had contact with the maintainer and there is still a problem somewhere in. I tried it myself and did everything that was needed - it went through all steps successfully, but in the end there was no generated eclipse binaray... maybe someone of you have more experiences with this things??!! I hope to find time again and maybe (?!!) I have a good idea how to get it... Cheers, Norbert
 

tOsYZYny

Well-Known Member

Reaction score: 35
Messages: 302

If you provide a link to the bug report to update eclipse, I can try to build the updated package on my end and see if it works.
 
Top